Windows update requirements for 1C:Enterprise 8.3.11





1C:Enterprise requirements to operating systems have changed since version 8.3.11. It now requires update KB2999226 for Windows 8.1 or earlier, or service pack 3 for Windows XP. These changes are related to 1C:Enterprise migration to Microsoft Universal C Runtime (for more information, see https://support.microsoft.com/en-us/help/2999226/update-for-universal-c-runtime-in-windows).

Note that service pack 3 for Windows XP is no longer available for download at Microsoft website. As a system administrator, if you choose to update your Windows XP to service pack 3, you take the responsibility for this.

The following table describes 1C:Enterprise installation and startup behavior in scenarios where the new system requirements are not met.

Installation option

Possible issues in version 8.3.11

Requirement changes

1C:Enterprise 8.3.11 installer behavior

Workaround

Recommended administrator actions

Windows XP SP 2

Setup.exe, or update from 1C:Enterprise version 8.3.10.2650 or later, or update from a configuration, or installation with setupV8 or 1cClientSetup

The client application cannot be started. Error message: "Entry point not found…"

Service pack 3 required

The installer displays a request to install service pack 3 and closes.

Install service pack 3 or upgrade to a later Windows version.

Install service pack 3 or upgrade to a later Windows version on all computers.

Update from 1C:Enterprise version earlier than 8.3.10.2650

1C:Enterprise is installed. When you attempt to run the client application, it displays a request to install service pack 3 and closes.

GPO installation

When you attempt to run the client application, it displays a request to install service pack 3 and closes.

Windows Vista SP1, Windows 7, Windows Server 2008 SP1, Windows Server 2008 R2

Setup.exe, or update from 1C:Enterprise version 8.3.10.2650 or later, or update from a configuration, or installation with setupV8 or 1cClientSetup

External connections (COM connector) and the cluster console do not work.

Latest update required

The installer displays a warning that the latest update is not installed and opens the update website. You can ignore the warning. If you choose to ignore it, external connections (COM connector) and the cluster console will be unavailable.

Follow the link and install the latest update package, or ignore the warning.

Install the latest update or upgrade to a later Windows version on all computers.

Update from 1C:Enterprise version earlier than 8.3.10.2650

1C:Enterprise is installed. External connections (COM connector) and the cluster console are unavailable.

Install the latest update.

GPO installation

External connections (COM connector) and the cluster console are unavailable.

Windows 8, Windows 8.1

Setup.exe, or update from 1C:Enterprise version 8.3.10.2650 or later, or update from a configuration, or installation with setupV8 or 1cClientSetup

External connections (COM connector) and the cluster console do not work.

Update KB 2999226 required

1C:Enterprise is installed. Update KB2999226 is installed as a part of 1C:Enterprise installation.

No action required.

No action required.

Update from 1C:Enterprise version earlier than 8.3.10.2650

1C:Enterprise is installed, then the installer displays a request to restart the computer. Update KB2999226 is installed when the computer is restarted.

Once the installation is completed, restart the computer.

It is recommended that you install update KB2999226 to all computers.

GPO installation

Update KB2999226 is installed when the computer is restarted.


Comments
0
Add comment